package com.kospo.talk.payload;

import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import io.swagger.v3.oas.annotations.media.Schema;

@JsonIgnoreProperties(ignoreUnknown = true)
@Schema(name = "ITalkMemberDto", description = "톡 멤버")
public interface ITalkMemberDto {

    @Schema(name = "talkId", description = "톡방아이디")
    String getTalkId();
    @Schema(name = "sabun", description = "사번")
    String getSabun();
    @Schema(name = "name", description = "이름")
    String getName();
    @Schema(name = "markYn", description = "마크여부")
    Boolean getMarkYn();
    @Schema(name = "deleteYn", description = "삭제여부")
    Boolean getDeleteYn();
    @Schema(name = "onlineYn", description = "온라인여부")
    Boolean getOnlineYn();
    @Schema(name = "dummyYn", description = "더미 여부")
    Boolean getDummyYn();
}
